1.07 not working for me on Win7x64

Dec 5, 2012 at 9:52 AM

I just get an error saying app has stopped working the moment I try to run it?

I try to run as Admin - No good.

I try to run as WinXP(SP3) - No good.

 

Any ideas?

Coordinator
Dec 5, 2012 at 10:01 AM

Hi,

We've updated the exe to the latest version of MySql (6.6.4.0), see the release notes at http://redminereports.codeplex.com/releases/view/98291. You might have to update to exactly this version to have the correct assembly. I just wish we could bundle it to the package, but the Oracle license prevents us from doing so... If you're still having issues after upgrading, please let us know.

-John

Dec 5, 2012 at 5:33 PM

Hi John,

Sorry to come back…

I updated the connector and now I get:

Description: cid:image001.png@01CDD317.44D91B80

And then

Description: cid:image002.png@01CDD317.44D91B80

I did just copy my connection string into the new confi file rather than keeping my old config…

Cheers

Gary

From: JBartlau [email removed]
Sent: 05 December 2012 11:02
To: gary@barclayworks.com
Subject: Re: 1.07 not working for me on Win7x64 [redminereports:405625]

From: JBartlau

Hi,

We've updated the exe to the latest version of MySql (6.6.4.0), see the release notes at http://redminereports.codeplex.com/releases/view/98291. You might have to update to exactly this version to have the correct assembly. I just wish we could bundle it to the package, but the Oracle license prevents us from doing so... If you're still having issues after upgrading, please let us know.

-John


Email is virus free, scanned by Emsisoft Anti-Malware - www.emsisoft.com
Last signature update: 17/09/2012 - 7,840,454 known threats in database

Coordinator
Dec 6, 2012 at 6:09 AM

Hi,

Unfortunately, I didn't get the images you've attached. Can you quickly copy the text and paste it here?

Cheers,

-John

Dec 6, 2012 at 8:33 AM

Hi John,

Thanks for sticking with me…

Issues are:

“Authentication method ‘mysql_old_password’ not supported by any of the available plugins..”

The other is same but then gives the select command…

Cheers

Gary

From: JBartlau [email removed]
Sent: 06 December 2012 07:10
To: gary@barclayworks.com
Subject: Re: 1.07 not working for me on Win7x64 [redminereports:405625]

From: JBartlau

Hi,

Unfortunately, I didn't get the images you've attached. Can you quickly copy the text and paste it here?

Cheers,

-John

Coordinator
Dec 6, 2012 at 2:55 PM

Hi,

Sorry, tried to reproduce that but couldn't. I'll have someone else check our diverse testing environments. In the meantime - my config looks like this:

<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
    </configSections>
    <connectionStrings>
        <add name="combit.RedmineReports.Properties.Settings.RedmineConnectionString"
            connectionString="server=127.0.0.1;uid=redmineReports;pwd=password;database=bitnami_redmine" />
    </connectionStrings>
</configuration>

which works with 1.07 flawlessly. Could you check yours?

-John

Dec 6, 2012 at 5:21 PM

Hi John,

I tried your config with my string but still same.

Just to recp…I cleared out RR directory, copied new files in, changed string in config and installed .net connector of 6.6.4.0 or latest….

I’m trying to connect to Redmine 1.3…could that be it?

I’m still working through upgrade to 2.1…I find it such a nightmare with ruby and gems and all the incompatibilities etc…

Maybe I should just bite the bullet.

Thanks for the support.

Regards

Gary

From: JBartlau [email removed]
Sent: 06 December 2012 15:56
To: gary@barclayworks.com
Subject: Re: 1.07 not working for me on Win7x64 [redminereports:405625]

From: JBartlau

Hi,

Sorry, tried to reproduce that but couldn't. I'll have someone else check our diverse testing environments. In the meantime - my config looks like this:

<?xml version="1.0" encoding="utf-8" ?>
<configuration>
<configSections>
</configSections>
<connectionStrings>
<add name="combit.RedmineReports.Properties.Settings.RedmineConnectionString"
connectionString="server=127.0.0.1;uid=redmineReports;pwd=password;database=bitnami_redmine" />
</connectionStrings>
</configuration>

which works with 1.07 flawlessly. Could you check yours?

-John

Developer
Dec 7, 2012 at 12:56 PM

Hi ,

please give us more information about your environment. Which Redmine and MySql Version is at the moment installed on the Server?

The problem with:

“Authentication method ‘mysql_old_password’ not supported by any of the available plugins..”

looks like a very old Version of MySql, see the following link:

http://dev.mysql.com/doc/refman/5.6/en/native-authentication-plugins.html

The mysql_old_password plugin implements authentication as used before MySQL 4.1.1 that is based on shorter password hash values. For information about this authentication method, see Section 6.1.2.4, “Password Hashing in MySQL”.

Could you please update your MySql Server to the current Release (Current Generally Available Release: 5.5.28) and migrate your Database for testing?

-Ben

Dec 7, 2012 at 1:24 PM

Hi Ben,

I’m using a Bitnami amazon cloud entity for Redmine 1.3.

I can’t imagine it’s setup with a very old version of SQL.

How can I find out what version is installed?

Cheers

Gary

From: bwassermann [email removed]
Sent: 07 December 2012 13:56
To: gary@barclayworks.com
Subject: Re: 1.07 not working for me on Win7x64 [redminereports:405625]

From: bwassermann

Hi ,

please give us more information about your environment. Which Redmine and MySql Version is at the moment installed on the Server?

The problem with:

“Authentication method ‘mysql_old_password’ not supported by any of the available plugins..”

looks like a very old Version of MySql, see the following link:

http://dev.mysql.com/doc/refman/5.6/en/native-authentication-plugins.html

The mysql_old_password plugin implements authentication as used before MySQL 4.1.1 that is based on shorter password hash values. For information about this authentication method, see Section 6.1.2.4, “Password Hashing in MySQL”.

Could you please update your MySql Server to the current Release (Current Generally Available Release: 5.5.28) and migrate your Database for testing?

-Ben